Subject: Re: bug#23217: xboing bugs

From: John Darrington <[email-masked]>
Date: Thu, 14 Apr 2016 01:19:46 -0400

I'll see if I can fix this.

XBoing, although old, enjoys a cult hero status, and is regarded
as a staple of the X clients.  "if Xboing doesn't work, what will"?
So it would be a shame if we had to drop it.

J'

On Sat, Apr 09, 2016 at 11:29:42AM +0300, Alex Kost wrote:
> Jean Louis (2016-04-04 21:47 +0300) wrote:
> 
> > I have encountered few bugs with xboing.
> >
> > xboing -debug
> > XBoing - Debugging mode activated.
> > XBoing - Command line parsed.
> > XBoing - Display system checked.
> > XBoing - Colourmap created.
> > XBoing - Please wait , initialising xboing ...
> > XBoing - Sound system checked.
> > XBoing - Initialised colour names.
> > XBoing - Creating windows ....
> > XBoing - Creating windows finished.
> > XBoing - Setting WM properties.
> > XBoing - Changing window attributes.
> > XBoing - Created all windows.
> > XBoing - Error: Xlib Error: BadMatch (invalid parameter attributes)
> >
> > Please read
> > `/gnu/store/k1wydpcdz5ci8c78w0xrz7hg3z09yg7j-xboing-2.4/docs/problems.doc'
> > document for help.
> >
> > It does not run on my side. I am on foreign distribution (Debian).
> 
> Yes, I confirm that it fails.
> 
> xboing is an ancient software: the last release (2.4) dates back to
> 1995, so if no one is going to fix it, I think we should just remove it.
> 
> John, since you packaged xboing, are you willing to look at it?
> 
> -- 
> Alex